#
# spec file for package tomoe
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           tomoe
BuildRequires:  glib2-devel
BuildRequires:  gtk-doc
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  python
BuildRequires:  ruby-devel
Version:        0.6.0
Release:        51.3
Url:            http://sourceforge.net/projects/tomoe/
Source:         http://dfn.dl.sourceforge.net/sourceforge/tomoe/tomoe-0.6.0.tar.bz2
Patch0:         glib-include-fixes.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Japanese handwriting recognition engine
License:        LGPL-2.1+
Group:          System/I18n/Japanese

%description
Japanese handwriting recognition engine (Tegaki Online MOji-ninshiki
Engine)



Authors:
--------
    Hiroyuki Komatsu <komatsu@taiyaki.org>
    Hiroaki Nakamura <hnakamur@good-day.co.jp>

%package devel
Summary:        Include Files and Libraries mandatory for Development
Group:          System/I18n/Japanese
Requires:       %{name} = %{version} glib2-devel

%description devel
Include Files and Libraries mandatory for Development



Authors:
--------
    Hiroyuki Komatsu <komatsu@taiyaki.org>
    Hiroaki Nakamura <hnakamur@good-day.co.jp>

%package doc
Summary:        Japanese handwriting recognition engine
Group:          System/I18n/Japanese
Requires:       %{name} = %{version}

%description doc
Japanese handwriting recognition engine (Tegaki Online MOji-ninshiki
Engine)



Authors:
--------
    Hiroyuki Komatsu <komatsu@taiyaki.org>
    Hiroaki Nakamura <hnakamur@good-day.co.jp>

%prep
%setup -q
%patch0 -p1

%build
touch INSTALL README ; autoreconf --force --install
%if %suse_version > 1030
export CFLAGS="$RPM_OPT_FLAGS"
%else
export CFLAGS="$RPM_OPT_FLAGS -O0"
%endif
%configure --disable-static --with-pic
make %{?jobs:-j%jobs}

%install
%makeinstall
%find_lang tomoe
find %{buildroot} -name "*.la" -delete -print

%clean
rm -rf $RPM_BUILD_ROOT 

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f tomoe.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS TODO
%{_datadir}/tomoe
%{_libdir}/*.so
%{_libdir}/*.so.*
%dir %{_libdir}/tomoe
%dir %{_libdir}/tomoe/module/
%dir %{_libdir}/tomoe/module/dict
%{_libdir}/tomoe/module/dict/*.so
%dir %{_libdir}/tomoe/module/recognizer
%{_libdir}/tomoe/module/recognizer/*.so
%{_sysconfdir}/tomoe

%files devel
%defattr(-,root,root)
%{_includedir}/tomoe
%{_libdir}/pkgconfig/tomoe.pc

%files doc
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/tomoe

%changelog
* Wed Feb 15 2012 tiwai@suse.de
- replace invalid glib/*.h inclusion to fix the build on FACTORY
* Sun Nov 27 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Fri Jan  9 2009 crrodriguez@suse.de
- remove static libraries and "la" files
* Fri Aug  1 2008 mfabian@suse.de
- update to 0.6.1. From the NEWS file:
  • Simplified Chinese dictionary.
  • Enhanced Japanese dictionary (Add JIS X 0208 level2 support).
  • Choose default dictionary automatically according to current
    locale.
  • Python binding.
  • Don't use RSpec for test anymore.
  • Some minor fixes.
- compile with optimization again for openSUSE >= 11.0
* Tue Nov  6 2007 pwu@suse.de
- move .so files from tomoe-devel to tomoe.
* Fri Aug  3 2007 mfabian@suse.de
- update to 0.5.1:
  • Add missing licence file.
  • Some minor fixes.
  • New modulized dictionaries:
  - Hyper Estraier
  - Unihan database
  - MySQL
  • Add radicals and variant element into dict.dtd.
- add ldconfig to post scripts.
- compile with -O0 for the moment because of bugzilla #297743.
* Wed Mar  7 2007 sbrabec@suse.cz
- Created -doc subpackage (#248813).
- Spec file cleanup.
* Thu Dec 14 2006 mfabian@suse.de
- update to 0.4.0
  • Shortening startup time.
  • Modularization handwriting recognizer and dictionary loader.
  • Reconstruct and GObjectize all API.
  • Release from libxml.
  • Ruby binding.
  • Test suite based on Ruby binding.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 mfabian@suse.de
- new package: tomoe, version 0.2.1.
